Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Wireshark Multiple Denial of Service Vulnerabilities May16 (Windows)

Information

Severity

Severity

Medium

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

4.3

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:N/I:N/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

6 years ago

Modified

Modified

3 years ago

Summary

This host is installed with Wireshark and is prone to multiple denial of service vulnerabilities.

Insight

Insight

Multiple flaws exist due to, - 'epan/dissectors/packet-ncp2222.inc' script in the NCP dissector does not properly initialize memory for search patterns. - 'epan/reassemble.c' script in TShark relies on incorrect special-case handling of truncated Tvb data structures. - 'epan/dissectors/packet-mswsp.c' script in the MS-WSP dissector does not ensure that data is available before array allocation. - An integer signedness error in 'epan/dissectors/packet-mswsp.c' script in the MS-WSP dissector

Affected Software

Affected Software

Wireshark version 2.0.x before 2.0.3 on Windows

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Upgrade to Wireshark version 2.0.3 or later.

Common Vulnerabilities and Exposures (CVE)